# Add a Dataset

Add a dataset as follows:

1. In the Report Builder, right-click the **Datasets** folder in the left pane and then click **Add Dataset**.
2. In the **Dataset Properties** dialog, type a data set name and then select the **Use a dataset embedded in my report** option.
3. In the **Data source** field, select the data source that you created earlier.
4. In the **Query type** section, select **Text** to use an embedded SQL as your query.
5. Enter the following query into the **Query** edit box:

   `SELECT`

   `m.Name as [Machine Name],`

   `mt.MachineType as [Machine Type],`

   `mt.SortingID as [SortingID]`

   `FROM`

   `dbo.Machines m RIGHT OUTER JOIN`

   `dbo.MachineType mt ON mt.MachineType_ID = m.MachineType_fk`
6. To test the query, click the **Query Designer** button. In the dialog that opens, click the exclamation sign icon (at the top) to run it. If the query is valid, you will see the result set.
7. Close the **Query Designer** dialog and then click **OK** to save the dataset.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-reporting-service-guide/v20/creating-custom-reports/example-report-with-charts/add-a-dataset.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
